[build-system]
requires = ["setuptools>=61", "wheel"]
build-backend = "setuptools.build_meta"

[project]
name = "mow"
version = "0.1.0"
description = "MoW: Mixture of World Models"
readme = "README.md"
requires-python = ">=3.12"
license-files = ["LICENSE"]
authors = []
urls = {}
dependencies = [
    "alfworld[full]==0.4.2",
    "bitsandbytes==0.45.5",
    "datasets==3.0.1",
    "ipdb==0.13.13",
    "IPython==9.4.0",
    "matplotlib==3.10.5",
    "opencv-python==4.12.0.88",
    "peft==0.15.2",
    "rank_bm25==0.2.2",
    "scipy==1.15.2",
    "sentence_transformers==3.2.1",
    "tensorboard==2.19.0",
    "torch==2.6.0",
    "transformers==4.45.2",
    "trl==0.11.3",
]

[project.scripts]
mow = "mow.cli.main:main"

[tool.setuptools]
packages = ["mow"]
